package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.BaseCompany;
import com.usky.fire.service.BaseCompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 联网单位信息表 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-08-23
 */
@RestController
@RequestMapping("/baseCompany")
public class BaseCompanyController {

    @Autowired
    private BaseCompanyService baseCompanyService;

    /**
     * 根据登录的用户查询所关联的单位下拉框
     *
     * @return
     */
    @GetMapping("userCompanySelect")
    public ApiResult<List<BaseCompany>> userCompanySelect() {
        return ApiResult.success(baseCompanyService.userCompanySelect());
    }
}

